summaryrefslogtreecommitdiff
path: root/bin/build-master-status-from-mysql
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-02-14 11:25:25 +0100
committerErich Eckner <git@eckner.net>2018-02-14 11:25:25 +0100
commitf822d014afa5a48a0335bd5babd97ecf137d9e76 (patch)
tree7dca3527c6aaa96123d43c2c102222764e7f6875 /bin/build-master-status-from-mysql
parentaa008f2bf3b5016ed8eaa3946f7e3cee9f739ce9 (diff)
downloadbuilder-f822d014afa5a48a0335bd5babd97ecf137d9e76.tar.xz
bin/build-master-status-from-mysql: should take sanity-check lock (so it currently cannot be run in parallel with sanity-check)
Diffstat (limited to 'bin/build-master-status-from-mysql')
-rwxr-xr-xbin/build-master-status-from-mysql4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/build-master-status-from-mysql b/bin/build-master-status-from-mysql
index cd85156..7a6605a 100755
--- a/bin/build-master-status-from-mysql
+++ b/bin/build-master-status-from-mysql
@@ -11,8 +11,8 @@ tmp_dir=$(mktemp -d 'tmp.build-master-status-from-mysql.XXXXXXXXXX' --tmpdir)
trap 'rm -rf --one-file-system "${tmp_dir}"' EXIT
# always block if locked
-exec 9> "${build_list_lock_file}"
-if ! flock -n -s 9; then
+exec 9> "${sanity_check_lock_file}"
+if ! flock -n 9; then
>&2 echo 'Mysql-Sanity check skipped, cannot acquire lock.'
exit
fi